( function( api ) {

	// Extends our custom "handyman-cleaner" section.
	api.sectionConstructor['handyman-cleaner'] = api.Section.extend( {

		// No events for this type of section.
		attachEvents: function () {},

		// Always make the section active.
		isContextuallyActive: function () {
			return true;
		}
	} );

} )( wp.customize );

(function ($) {
    function ResetDemoSettings() {
        if (!confirm("Are you sure you want to reset demo import settings?")) return;

        $.post(ajaxurl, { action: 'handyman_cleaner_reset_demo_import_settings' }, function () {
            location.reload();
        });
    }

    window.ResetDemoSettings = ResetDemoSettings;
})(jQuery);

(function ($, wp) {
    function ResetGlobalColor() {
        if (confirm("Are you sure you want to reset global color settings?")) {
            wp.customize.instance("handyman_cleaner_first_color").set("#0F3764");
			wp.customize.instance("handyman_cleaner_second_color").set("#59A7FF");
			wp.customize.instance("handyman_cleaner_third_color").set("#50CAAD");
        }
    }

    window.ResetGlobalColor = ResetGlobalColor;
})(jQuery, wp);
